import { TestBed, async } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { BackendService } from '../../../services/backend.service';
import { HttpClientModule } from '@angular/common/http';
import { UserstoryTableComponent } from './userstory-table.component';

describe('UserstoryTableComponent', () => {
  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [
        RouterTestingModule,
        HttpClientModule,
      ],
      declarations: [
        UserstoryTableComponent,
      ],
      providers: [
        BackendService,
      ]
    }).compileComponents();
  }));

  it('should create the component', () => {
    const fixture = TestBed.createComponent(UserstoryTableComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  });
});
